#ifndef __TPS2HCS10_CONFIG_H__
#define __TPS2HCS10_CONFIG_H__

#include <stdint.h>
#include <tps_hcsdev.h>

typedef struct TPS2HCS10Q1_CONFIG
{
    TPS2HC10S_CRC_CONFIG_OBJ        crcConfig;
    TPS2HC10S_LPM_OBJ               lpmConfig;
    TPS2HC10S_FAULT_MASK_OBJ        faultMaskConfig;
    TPS2HC10S_SW_STATE_OBJ          swState;
    TPS2HC10S_DEVICE_SAF_OBJ        devSAFConfig;
    TPS2HC10S_DEV_CONFIG_OBJ        devConfig;
    TPS2HC10S_ADC_CONFIG_OBJ        adcConfig;
    TPS2HC10S_PWM_CH1_OBJ           pwmCh1Config;
    TPS2HC10S_ILIM_CONFIG_CH1_OBJ   ilimCh1Config;
    TPS2HC10S_DIAG_CONFIG_CH1_OBJ   diagConfigCh1;
    TPS2HC10S_I2T_CONFIG_CH1_OBJ    i2tConfigCh1;
    TPS2HC10S_PWM_CH2_OBJ           pwmCh2Config;
    TPS2HC10S_ILIM_CONFIG_CH2_OBJ   ilimCh2Config;
    TPS2HC10S_DIAG_CONFIG_CH2_OBJ   diagConfigCh2;
    TPS2HC10S_I2T_CONFIG_CH2_OBJ    i2tConfigCh2;
 } TPS2HCS10Q1_CONFIG;

extern TPS2HCS10Q1_CONFIG exportConfig;

#endif
